Bug 1233864

Summary: Please Update mate Desktop to 1.10
Product: [Fedora] Fedora EPEL Reporter: Matthias31 <fiedler_matthias>
Component: mate-desktopAssignee: Wolfgang Ulbrich <fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: fedora, rainer.traut, rdieter, stefano
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mate-utils-1.10.2-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-05 05:32:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthias31 2015-06-19 15:47:11 UTC
Why do not update mate Desktop to version 1.10?
There is only version 1.8.2 in the repo

MAte Desktop has god a lot of bugfixes and new 
teatures e. g


    Added support for automake 1.15
    Added support for lcov 1.11
    Migrated to glib-gettexize if using GLib gettext
    Check for appdata-xml.m4 with APPDATA_XML

mate-desktop

    Migrated MateRRScreen, GnomeRRConfig and GnomeOutputInfo to GObject.
    Added GObject Introspection
    Added automatic-mnemonics key for GTK xsetting
    Added MateAboutDialog class to have traditional about dialog with GTK3
    Added MateColorButton class to have traditional color selection dialog with GTK3
    Added org.mate.debug GSettings schema
    Uses GDK_WINDOW_XID for inter-GTK compatibility
    Updated mpaste for website change
    Updated translations
    Removed desktop-docs
    Removed user guide
    Removed libunique optional dependency
    Assorted RANDR fixes

libmatekbd

    Updated translations
    Assorted bug fixes

Comment 1 Wolfgang Ulbrich 2015-07-18 08:20:04 UTC
That will happen, after f21 is updated.
I want to see how it here works.
A mayor update during release cycle is not so easy.

Comment 2 Fedora Update System 2015-07-19 14:26:04 UTC
mate-utils-1.10.2-1.el7,mate-sensors-applet-1.10.3-1.el7,mate-power-manager-1.10.1-1.el7,mate-control-center-1.10.1-1.el7,mate-netspeed-1.10.1-1.el7,mate-applets-1.10.3-1.el7,marco-1.10.1-1.el7,eom-1.10.3-1.el7,engrampa-1.10.1-1.el7,caja-extensions-1.10.0-1.el7,atril-1.10.1-1.el7,mate-panel-1.10.1-1.el7,caja-1.10.2-1.el7,pluma-1.10.2-1.el7,mozo-1.10.0-1.el7,mate-terminal-1.10.1-1.el7,mate-system-monitor-1.10.1-1.el7,mate-settings-daemon-1.10.1-1.el7,mate-session-manager-1.10.2-1.el7,mate-screensaver-1.10.2-1.el7,mate-polkit-1.10.0-1.el7,mate-notification-daemon-1.10.0-1.el7,mate-media-1.10.0-1.el7,mate-menus-1.10.0-1.el7,mate-icon-theme-faenza-1.10.0-1.el7,mate-icon-theme-1.10.1-1.el7,mate-backgrounds-1.10.0-1.el7,libmateweather-1.10.0-1.el7,libmatemixer-1.10.0-1.el7,libmatekbd-1.10.0-1.el7,mate-desktop-1.10.1-1.el7,mate-common-1.10.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mate-utils-1.10.2-1.el7,mate-sensors-applet-1.10.3-1.el7,mate-power-manager-1.10.1-1.el7,mate-control-center-1.10.1-1.el7,mate-netspeed-1.10.1-1.el7,mate-applets-1.10.3-1.el7,marco-1.10.1-1.el7,eom-1.10.3-1.el7,engrampa-1.10.1-1.el7,caja-extensions-1.10.0-1.el7,atril-1.10.1-1.el7,mate-panel-1.10.1-1.el7,caja-1.10.2-1.el7,pluma-1.10.2-1.el7,mozo-1.10.0-1.el7,mate-terminal-1.10.1-1.el7,mate-system-monitor-1.10.1-1.el7,mate-settings-daemon-1.10.1-1.el7,mate-session-manager-1.10.2-1.el7,mate-screensaver-1.10.2-1.el7,mate-polkit-1.10.0-1.el7,mate-notification-daemon-1.10.0-1.el7,mate-media-1.10.0-1.el7,mate-menus-1.10.0-1.el7,mate-icon-theme-faenza-1.10.0-1.el7,mate-icon-theme-1.10.1-1.el7,mate-backgrounds-1.10.0-1.el7,libmateweather-1.10.0-1.el7,libmatemixer-1.10.0-1.el7,libmatekbd-1.10.0-1.el7,mate-desktop-1.10.1-1.el7,mate-common-1.10.0-1.el7

Comment 3 Wolfgang Ulbrich 2015-07-19 14:29:09 UTC
Please test an leave karma, you need a fas acount for this.
Maybe you know other epel7 users who can test the update.
Or you can can post this at centos forum.

Thank you

Comment 4 Fedora Update System 2015-07-20 19:48:20 UTC
Package mate-utils-1.10.2-1.el7, mate-power-manager-1.10.1-1.el7, mate-control-center-1.10.1-1.el7, mate-netspeed-1.10.1-1.el7, mate-applets-1.10.3-1.el7, marco-1.10.1-1.el7, eom-1.10.3-1.el7, engrampa-1.10.1-1.el7, caja-extensions-1.10.0-1.el7, atril-1.10.1-1.el7, mate-panel-1.10.1-1.el7, caja-1.10.2-1.el7, pluma-1.10.2-1.el7, mozo-1.10.0-1.el7, mate-terminal-1.10.1-1.el7, mate-system-monitor-1.10.1-1.el7, mate-settings-daemon-1.10.1-1.el7, mate-session-manager-1.10.2-1.el7, mate-screensaver-1.10.2-1.el7, mate-polkit-1.10.0-1.el7, mate-notification-daemon-1.10.0-1.el7, mate-media-1.10.0-1.el7, mate-menus-1.10.0-1.el7, mate-icon-theme-faenza-1.10.0-1.el7, mate-icon-theme-1.10.1-1.el7, mate-backgrounds-1.10.0-1.el7, libmateweather-1.10.0-1.el7, libmatemixer-1.10.0-1.el7, libmatekbd-1.10.0-1.el7, mate-common-1.10.0-1.el7, mate-sensors-applet-1.10.3-2.el7, mate-desktop-1.10.1-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mate-utils-1.10.2-1.el7 mate-power-manager-1.10.1-1.el7 mate-control-center-1.10.1-1.el7 mate-netspeed-1.10.1-1.el7 mate-applets-1.10.3-1.el7 marco-1.10.1-1.el7 eom-1.10.3-1.el7 engrampa-1.10.1-1.el7 caja-extensions-1.10.0-1.el7 atril-1.10.1-1.el7 mate-panel-1.10.1-1.el7 caja-1.10.2-1.el7 pluma-1.10.2-1.el7 mozo-1.10.0-1.el7 mate-terminal-1.10.1-1.el7 mate-system-monitor-1.10.1-1.el7 mate-settings-daemon-1.10.1-1.el7 mate-session-manager-1.10.2-1.el7 mate-screensaver-1.10.2-1.el7 mate-polkit-1.10.0-1.el7 mate-notification-daemon-1.10.0-1.el7 mate-media-1.10.0-1.el7 mate-menus-1.10.0-1.el7 mate-icon-theme-faenza-1.10.0-1.el7 mate-icon-theme-1.10.1-1.el7 mate-backgrounds-1.10.0-1.el7 libmateweather-1.10.0-1.el7 libmatemixer-1.10.0-1.el7 libmatekbd-1.10.0-1.el7 mate-common-1.10.0-1.el7 mate-sensors-applet-1.10.3-2.el7 mate-desktop-1.10.1-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7257/mate-utils-1.10.2-1.el7,mate-sensors-applet-1.10.3-2.el7,mate-power-manager-1.10.1-1.el7,mate-control-center-1.10.1-1.el7,mate-netspeed-1.10.1-1.el7,mate-applets-1.10.3-1.el7,marco-1.10.1-1.el7,eom-1.10.3-1.el7,engrampa-1.10.1-1.el7,caja-extensions-1.10.0-1.el7,atril-1.10.1-1.el7,mate-panel-1.10.1-1.el7,caja-1.10.2-1.el7,pluma-1.10.2-1.el7,mozo-1.10.0-1.el7,mate-terminal-1.10.1-1.el7,mate-system-monitor-1.10.1-1.el7,mate-settings-daemon-1.10.1-1.el7,mate-session-manager-1.10.2-1.el7,mate-screensaver-1.10.2-1.el7,mate-polkit-1.10.0-1.el7,mate-notification-daemon-1.10.0-1.el7,mate-media-1.10.0-1.el7,mate-menus-1.10.0-1.el7,mate-icon-theme-faenza-1.10.0-1.el7,mate-icon-theme-1.10.1-1.el7,mate-backgrounds-1.10.0-1.el7,libmateweather-1.10.0-1.el7,libmatemixer-1.10.0-1.el7,libmatekbd-1.10.0-1.el7,mate-desktop-1.10.1-2.el7,mate-common-1.10.0-1.el7
then log in and leave karma (feedback).

Comment 5 Rainer Traut 2015-07-21 11:48:02 UTC
I have epel-testing enabled all the time;
the update applies clean:


... snip
  Überprüfung läuft: mate-screenshot-1.8.2-1.el7.x86_64                                                              118/118 

Installiert:
  mate-desktop.x86_64 0:1.10.1-2.el7                                                                                         

Abhängigkeit installiert:
  libmatemixer.x86_64 0:1.10.0-1.el7                                                                                         

Aktualisiert:
  bind-libs.x86_64 32:9.9.4-18.el7_1.2                         bind-libs-lite.x86_64 32:9.9.4-18.el7_1.2                    
  bind-license.noarch 32:9.9.4-18.el7_1.2                      bind-utils.x86_64 32:9.9.4-18.el7_1.2                        
  caja.x86_64 0:1.10.2-1.el7                                   caja-beesu.x86_64 0:1.10.0-1.el7                             
  caja-extensions.x86_64 0:1.10.2-1.el7                        caja-extensions-common.noarch 0:1.10.0-1.el7                 
  caja-open-terminal.x86_64 0:1.10.0-1.el7                     caja-schemas.x86_64 0:1.10.2-1.el7                           
  google-chrome-stable.x86_64 0:43.0.2357.134-1                icinga-doc.x86_64 0:1.13.3-0.el7.centos                      
  icinga2.x86_64 0:2.3.8-1.el7.centos                          icinga2-bin.x86_64 0:2.3.8-1.el7.centos                      
  icinga2-common.x86_64 0:2.3.8-1.el7.centos                   icinga2-doc.x86_64 0:2.3.8-1.el7.centos                      
  icinga2-ido-mysql.x86_64 0:2.3.8-1.el7.centos                java-1.8.0-openjdk.x86_64 1:1.8.0.51-1.b16.el7_1             
  java-1.8.0-openjdk-headless.x86_64 1:1.8.0.51-1.b16.el7_1    koji.noarch 0:1.10.0-1.el7                                   
  libmatekbd.x86_64 0:1.10.0-1.el7                             libmateweather.x86_64 0:1.10.0-1.el7                         
  libmateweather-data.noarch 0:1.10.0-1.el7                    marco.x86_64 0:1.10.1-1.el7                                  
  mate-applets.x86_64 0:1.10.3-1.el7                           mate-backgrounds.noarch 0:1.10.0-1.el7                       
  mate-common.noarch 0:1.10.0-1.el7                            mate-control-center.x86_64 0:1.10.1-1.el7                    
  mate-control-center-filesystem.x86_64 0:1.10.1-1.el7         mate-desktop-libs.x86_64 0:1.10.1-2.el7                      
  mate-dictionary.x86_64 0:1.10.2-1.el7                        mate-disk-usage-analyzer.x86_64 0:1.10.2-1.el7               
  mate-icon-theme.noarch 0:1.10.1-1.el7                        mate-icon-theme-faenza.noarch 0:1.10.0-1.el7                 
  mate-media.x86_64 0:1.10.0-1.el7                             mate-menus.x86_64 0:1.10.0-1.el7                             
  mate-menus-libs.x86_64 0:1.10.0-1.el7                        mate-menus-preferences-category-menu.x86_64 0:1.10.0-1.el7   
  mate-notification-daemon.x86_64 0:1.10.0-1.el7               mate-panel.x86_64 0:1.10.1-1.el7                             
  mate-panel-libs.x86_64 0:1.10.1-1.el7                        mate-polkit.x86_64 0:1.10.0-1.el7                            
  mate-power-manager.x86_64 0:1.10.1-1.el7                     mate-screensaver.x86_64 0:1.10.2-1.el7                       
  mate-screenshot.x86_64 0:1.10.2-1.el7                        mate-search-tool.x86_64 0:1.10.2-1.el7                       
  mate-session-manager.x86_64 0:1.10.2-1.el7                   mate-settings-daemon.x86_64 0:1.10.1-1.el7                   
  mate-system-log.x86_64 0:1.10.2-1.el7                        mate-system-monitor.x86_64 0:1.10.1-1.el7                    
  mate-terminal.x86_64 0:1.10.1-1.el7                          mate-utils.x86_64 0:1.10.2-1.el7                             
  mate-utils-common.noarch 0:1.10.2-1.el7                      mozo.noarch 0:1.10.0-1.el7                                   
  pluma.x86_64 0:1.10.2-1.el7                                  pluma-data.noarch 0:1.10.2-1.el7                             
  pyrpkg.noarch 0:1.36-1.el7                                  

Ersetzt       :
  mate-dialogs.x86_64 0:1.8.0-1.el7                                                                                          

Komplett!

I will start to test it right now.
Thank you very much for your work.
Rainer

Comment 6 Fedora Update System 2015-08-05 05:32:24 UTC
mate-utils-1.10.2-1.el7, mate-power-manager-1.10.1-1.el7, mate-control-center-1.10.1-1.el7, mate-netspeed-1.10.1-1.el7, mate-applets-1.10.3-1.el7, marco-1.10.1-1.el7, eom-1.10.3-1.el7, engrampa-1.10.1-1.el7, caja-extensions-1.10.0-1.el7, atril-1.10.1-1.el7, mate-panel-1.10.1-1.el7, caja-1.10.2-1.el7, pluma-1.10.2-1.el7, mozo-1.10.0-1.el7, mate-terminal-1.10.1-1.el7, mate-system-monitor-1.10.1-1.el7, mate-settings-daemon-1.10.1-1.el7, mate-session-manager-1.10.2-1.el7, mate-screensaver-1.10.2-1.el7, mate-polkit-1.10.0-1.el7, mate-notification-daemon-1.10.0-1.el7, mate-media-1.10.0-1.el7, mate-menus-1.10.0-1.el7, mate-icon-theme-faenza-1.10.0-1.el7, mate-icon-theme-1.10.1-1.el7, mate-backgrounds-1.10.0-1.el7, libmateweather-1.10.0-1.el7, libmatemixer-1.10.0-1.el7, libmatekbd-1.10.0-1.el7, mate-common-1.10.0-1.el7, mate-sensors-applet-1.10.3-2.el7, mate-desktop-1.10.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.